TaskEvent.Kind (Java SE 12 & JDK 12 )
Keywords: com.sun.source.util.TaskEvent.Kind class

Module jdk.compiler
Package com.sun.source.util

## Enum TaskEvent.Kind

- java.lang.Object
- - java.lang.Enum<TaskEvent.Kind>
  - - com.sun.source.util.TaskEvent.Kind

- All Implemented Interfaces:
    `Serializable`, `Comparable<TaskEvent.Kind>`, `Constable`
  Enclosing class:
    TaskEvent

      public static enum TaskEvent.Kind
      extends Enum<TaskEvent.Kind>

  Kind of task event.
  Since:
    1.6

- - ### Nested Class Summary

    - ### Nested classes/interfaces declared in class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANALYZE` | For events relating to elements being analyzed for errors.
    `ANNOTATION_PROCESSING` | For events relating to overall annotation processing.
    `ANNOTATION_PROCESSING_ROUND` | For events relating to an individual annotation processing round.
    `COMPILATION` | Sent before parsing first source file, and after writing the last output file.
    `ENTER` | For events relating to elements being entered.
    `GENERATE` | For events relating to class files being generated.
    `PARSE` | For events related to the parsing of a file.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static TaskEvent.Kind` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static TaskEvent.Kind[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods declared in class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods declared in class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARSE

          public static final TaskEvent.Kind PARSE

      For events related to the parsing of a file.

    - #### ENTER

          public static final TaskEvent.Kind ENTER

      For events relating to elements being entered.

    - #### ANALYZE

          public static final TaskEvent.Kind ANALYZE

      For events relating to elements being analyzed for errors.

    - #### GENERATE

          public static final TaskEvent.Kind GENERATE

      For events relating to class files being generated.

    - #### ANNOTATION_PROCESSING

          public static final TaskEvent.Kind ANNOTATION_PROCESSING

      For events relating to overall annotation processing.

    - #### ANNOTATION_PROCESSING_ROUND

          public static final TaskEvent.Kind ANNOTATION_PROCESSING_ROUND

      For events relating to an individual annotation processing round.

    - #### COMPILATION

          public static final TaskEvent.Kind COMPILATION

      Sent before parsing first source file, and after writing the last output file. This event is not sent when using `JavacTask.parse()`, `JavacTask.analyze()` or `JavacTask.generate()`.
      Since:
        9

  - ### Method Detail

    - #### values

          public static TaskEvent.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TaskEvent.Kind valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null